﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication2._Default" %>

<%@ Register Assembly="C1.Web.UI.Controls.4" Namespace="C1.Web.UI.Controls.C1GridView"
    TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>                
                <cc1:C1GridView ID = "C1GridView1" runat="server" AutoGenerateColumns="False" CellPadding="5"
                    AllowPaging="True" AllowSorting="True" GridLines="Both" Font-Names="Tahoma" Font-Size="Small"
                    DataSourceID="AccessDataSource1" AllowColMoving="True"
                    AllowGrouping="True" AllowColSizing="True" ShowFilter="True" VisualStylePath="~/C1WebControls/VisualStyles">
                    <Columns>
                        <cc1:C1TemplateField SortExpression="approved" HeaderText="Approve">
                            <ItemTemplate>
                                <asp:Button ID = "ApproveBtn" runat="server" ToolTip="Approve" CommandName="Approve" />
                            </ItemTemplate>
                        </cc1:C1TemplateField>

                        <cc1:C1TemplateField SortExpression = "fileName" HeaderText="File Name">
                            <ItemTemplate>
                                <asp:Button ID="GetFile" runat="server" />
                            </ItemTemplate>
                        </cc1:C1TemplateField>

                        <cc1:C1BoundField DataField="CategoryID" HeaderText="Category ID" SortExpression="CategoryID" />
                        <cc1:C1BoundField DataField="CategoryName" HeaderText="Category Name" SortExpression="CategoryName" />
                        <cc1:C1BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
                        <cc1:C1BoundField DataField="Picture" HeaderText="Picture" SortExpression="Picture" />
                        <%--<cc1:C1BoundField DataField="uploadDescription" HeaderText="Uploaded Description" SortExpression="uploadDescription" />
                        <cc1:C1BoundField DataField="uploadAcct" HeaderText="Uploaded By" SortExpression="uploadAcct" />
                        <cc1:C1BoundField DataField="uploadDT" HeaderText="Uploaded Date/Time" SortExpression="uploadDT" ShowFilter="False" />
                        <cc1:C1BoundField DataField="importAcct" HeaderText="Approved By" SortExpression="importAcct" />
                        <cc1:C1BoundField DataField="importDT" HeaderText="Approved Date/Time" SortExpression="importDT" ShowFilter="False" />--%>
                    </Columns>
                    <EmptyDataTemplate>
                        No upload events found.
                    </EmptyDataTemplate>
                </cc1:C1GridView>
            </ContentTemplate>
        </asp:UpdatePanel>
    
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/C1NWind.mdb" SelectCommand="SELECT * FROM [Categories]">
        </asp:AccessDataSource>
    
    </div>
    </form>
</body>
</html>
